> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update FileSet by Id

> Updates the name or description of a FileSet.



## OpenAPI

````yaml /openapi/product/filesets.yaml post /api/files/v1/filesets/{filesetId}
openapi: 3.0.0
info:
  title: FileSets API (BETA) (Product)
  version: v1
  description: >
    <Note>

    BETA: This API is currently in BETA and is subject to change. 

    Endpoints, request/response formats, and functionality may change without
    notice.

    <Note>

    API for managing FileSets and Files in Domo.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: api
        description: Your specific Domo instance name (e.g., mycompany)
security:
  - developerToken: []
tags:
  - name: File
    description: Operations for managing individual files within a FileSet.
  - name: FileSet
    description: Operations for managing FileSets (collections of files).
paths:
  /api/files/v1/filesets/{filesetId}:
    post:
      tags:
        - FileSets API (BETA) (Product)
      summary: Update FileSet by Id
      description: Updates the name or description of a FileSet.
      parameters:
        - name: filesetId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateFileSetRequest'
      responses:
        '200':
          description: The updated FileSet metadata.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileSetMetadataBase'
        '401':
          description: Unauthorized
        '404':
          description: FileSet Not Found
components:
  schemas:
    UpdateFileSetRequest:
      type: object
      properties:
        name:
          type: string
          description: The new name for the FileSet.
        description:
          type: string
          nullable: true
          description: The new description for the FileSet.
    FileSetMetadataBase:
      description: Base metadata for a FileSet.
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
          nullable: true
        created:
          type: string
          format: date-time
        createdBy:
          type: integer
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication.

````